PETSc version 3.15.5
Fix/Edit manual page

# KSPMonitorResidualDraw

Plots the preconditioned residual at each iteration of an iterative solver.

### Synopsis

    #include "petscksp.h"
    PetscErrorCode KSPMonitorResidualDraw(KSP ksp, PetscInt n, PetscReal rnorm, PetscViewerAndFormat *vf)

Collective on ksp

### Input Parameters

| ksp | - iterative context
| n | - iteration number
| rnorm | - 2-norm (preconditioned) residual value (may be estimated).
| vf | - The viewer context

### Options Database Key

| -ksp_monitor draw | - Activates KSPMonitorResidualDraw()

### See Also

KSPMonitorSet(), KSPMonitorTrueResidual()

### Level

intermediate

### Location

src/ksp/ksp/interface/iterativ.c
Index of all KSP routines
Table of Contents for all manual pages
Index of all manual pages